
   
        
@media (max-width: 1024px) {
    .services-container {
        justify-content: center;
    }

    .card-d {
        width: 45%;
        height: auto;
    }
}

/* دعم الهواتف المتوسطة والصغيرة */
@media (max-width: 768px) {
    .card-d {
        width: 80%;
        height: auto;
    }
}

/* دعم الهواتف الصغيرة */
@media (max-width: 480px) {
    .card-d {
        width: 100%;
        height: auto;
    }

    .overlay h3 {
        font-size: 20px;
        bottom: 140px;
    }

    .overlay  {
        padding: 7px 12px;
        font-size: 14px;
        bottom: 30px;
    }
}